
#use binrary build

%global optflags %{optflags} -O3 -Wstrict-aliasing=0

%define major 0
%define libname	%mklibname glvnd %{major}
%define devname %mklibname glvnd -d

%define libgldispatch %mklibname gldispatch %{major}
%define libopengl %mklibname opengl %{major}
%define libEGL_major 1
%define libEGL %mklibname egl %{libEGL_major}
%define libGLdispatch_major 0
%define libGLdispatch %mklibname gldispatch %{libGLdispatch_major}
%define libGLESv1_major 1
%define libGLESv1 %mklibname glesv1_cm %{libGLESv1_major}
%define libGLESv2_major 2
%define libGLESv2 %mklibname glesv2 %{libGLESv2_major}
%define libGL_major 1
%define libGL %mklibname gl %{libGL_major}
%define libGLX_major 0
%define libGLX %mklibname glx %{libGLX_major}
%define libOpenGL_major 0
%define libOpenGL %mklibname opengl %{libOpenGL_major}

%define libGLmesaname	%mklibname mesagl %{libGL_major}
%define libEGLmesaname	%mklibname mesaegl %{libEGL_major}

%global commit0 faa23f21fc677af5792825dc30cb1ccef4bf33a6
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:		libglvnd
Version:        1.7.0
Release:	%mkrel 3
Summary:	The GL Vendor-Neutral Dispatch library
License:	MIT
Group:		System/Libraries
URL:            https://gitlab.freedesktop.org/glvnd/libglvnd
Source0: usr.tar.gz
#Source0:        https://gitlab.freedesktop.org/glvnd/libglvnd/-/archive/v%{version}/%{name}-%{version}.tar.xz
Patch1:		0001-glx-Add-another-fallback-library-name.patch

BuildRequires:	meson
BuildRequires:	python-libxml2
BuildRequires:	pkgconfig(glproto)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	x11-server-xvfb

%description
libglvnd is an implementation of the vendor-neutral dispatch layer for
arbitrating OpenGL API calls between multiple vendors on a per-screen basis.

%files
%dir %{_sysconfdir}/glvnd
%dir %{_sysconfdir}/glvnd/egl_vendor.d
%dir %{_datadir}/glvnd
%dir %{_datadir}/glvnd/egl_vendor.d
%dir %{_sysconfdir}/egl
%dir %{_sysconfdir}/egl/egl_external_platform.d/
%dir %{_datadir}/egl
%dir %{_datadir}/egl/egl_external_platform.d/

#----------------------------------------------------------------------------
%package -n %{libname}
Summary:	libglvnd
Provides:	%{name}-egl
Provides:	%{name}-GLdispatch
Provides:	%{name}-GLESv1_CM
Provides:	%{name}-GLESv2
Provides:	%{name}-GL
Provides:	%{name}-GLX
Provides:	%{name}-OpenGL
Provides:	%{name}-GL
Requires:	%{name}

%description -n %{libname}
 libglvnd.

%files -n %{libname}
%{_libdir}/libEGL.so.%{libEGL_major}{,.*}

%{_libdir}/libGLdispatch.so.%{libGLdispatch_major}*

#----------------------------------------------------------------------------

%{_libdir}/libGLESv2.so.%{libGLESv2_major}{,.*}

#----------------------------------------------------------------------------

%{_libdir}/libGL.so.%{libGL_major}{,.*}
#----------------------------------------------------------------------------

%{_libdir}/libGLX.so.%{libGLX_major}{,.*}
%{_libdir}/libOpenGL.so.%{libOpenGL_major}*
#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{name}
Requires:   %{libname}
Requires:	pkgconfig(gl)
Requires:	pkgconfig(x11)
Provides:	GL-devel
Provides:	EGL-devel
Provides:   devel(libGL(64bit))
Provides:  devel(libEGL(64bit))

%description -n %{devname}
This package is a bootstrap trick for Mesa, which wants to build against
the libglvnd headers but does not link against any of its libraries (and,
initially, has file conflicts with them).

%files -n %{devname}
%dir %{_includedir}/glvnd
%{_includedir}/glvnd/*.h
%dir %{_includedir}/EGL
%{_includedir}/EGL/*.h
%dir %{_includedir}/GL
%{_includedir}/GL/*.h
%dir %{_includedir}/GLES2
%{_includedir}/GLES2/*.h
%dir %{_includedir}/GLES3
%{_includedir}/GLES3/*.h
%dir %{_includedir}/KHR
%{_includedir}/KHR/*.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libEGL.so
%{_libdir}/libGLdispatch.so
%{_libdir}/libGLX.so
%{_libdir}/libGL.so
%{_libdir}/libGLESv2.so
%{_libdir}/libOpenGL.so
#----------------------------------------------------------------------------

%prep
#%%autosetup -p1 -n %{name}-v%{version}-%{?commit0}%{?!commit0:%nil}

%build
#%%meson -D gles1=false

#%%meson_build

%install
#%%meson_install
rm -rf %buildroot
mkdir -p %buildroot
tar xf %SOURCE0 -C %buildroot

# Create directory layout
mkdir -p %{buildroot}%{_sysconfdir}/glvnd/egl_vendor.d
mkdir -p %{buildroot}%{_datadir}/glvnd/egl_vendor.d
mkdir -p %{buildroot}%{_sysconfdir}/egl/egl_external_platform.d
mkdir -p %{buildroot}%{_datadir}/egl/egl_external_platform.d

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%changelog
* Fri Oct 27 2023 tex - 1.7.0-3pclos2023
- rebuild

* Wed Oct 25 2023 tex - 1.7.0-2pclos2023
- rebuild against updates

* Thu Sep 21 2023 tex - 1.7.0-1pclos2023
- new version
